# $Revision: 1.4 $, $Date: 2002/09/21 21:04:03 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	StackTrace
Summary:	Devel::StackTrace - Stack trace and stack trace frame objects
Summary(pl):	Devel::StackTrace - ledzenie stosu i ramek obiektw
Name:		perl-%{pdir}-%{pnam}
Version:	1.02
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.005
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl(fields)
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Devel::StackTrace module contains two classes, Devel::StackTrace
and Devel::StackTraceFrame.  The goal of this object is to encapsulate
the information that can found through using the caller() function,
as well as providing a simple interface to this data.

%description -l pl
Modu Devel::StackTrace zawiera dwie klasy: Devel::StackTrace
i Devel::StackTraceFrame.  Zadaniem tego obiektu jest obudowanie
znalezionej przy uyciu funkcji caller() informacji, oraz udostpnienie
prostego interfejsu do tych danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE Changes README
%{perl_sitelib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Devel-StackTrace.spec,v $
Revision 1.4  2002/09/21 21:04:03  radek
- version 1.02
STBR

Revision 1.3  2002/08/27 18:53:56  qboosh
- pl Summary

Revision 1.2  2002/08/25 09:03:57  radek
- version 1.00, informative summary, conditional tests; STBR

Revision 1.1  2002/07/15 07:42:07  depesz
- spec by Radosaw Zieliski
